header.page-header::before,
.layout_social > .container:before {
	content: none;
}

.topbar {
	margin-bottom: 20px;
}

.cssmenu_horiz li ul,
.cssmenu_vert li ul {
	padding: 0;
	margin: 2px 0 0; // override default ul
	//  font-size: $font-size-base;
	background-color: $dropdown-bg;
	border: 1px solid $dropdown-border-color;
	border-radius: $border-radius;
	@include box-shadow(0 6px 12px rgba(0, 0, 0, .175));
	-webkit-background-clip: padding-box;
	background-clip: padding-box;

	// Links within the dropdown menu
	> li > {
		a,
		form > button.btn-link.link-list {
			padding: 3px 20px;
			font-weight: normal;
			line-height: $line-height-base;
			color: $dropdown-link-color;
		}
	}
}

.cssmenu_horiz > li > ul {
	border-top-left-radius: 0;
	border-top-right-radius: 0;
	margin: 0;
}

// Hover/Focus state
.cssmenu_horiz > li > a,
.cssmenu_vert > li > a,
.cssmenu_horiz ul > li > a,
.cssmenu_vert ul > li > a,
.cssmenu_horiz > li > button.btn-link.link-list,
.cssmenu_vert > li > button.btn-link.link-list,
.cssmenu_horiz ul > li > button.btn-link.link-list,
.cssmenu_vert ul > li > button.btn-link.link-list{
	&:hover,
	&:focus {
		text-decoration: none;
		color: $dropdown-link-hover-color;
		background-color: $dropdown-link-hover-bg;
	}
}

//.topbar .nav > li.selected > a,
//.topbar .nav > li.selected > a:hover { background: $navbar-dark-link-active-bg; } // Class deprecated in BS4.

// styling for both css and generated arrows
.sf-arrows .sf-with-ul:after {
  border: 5px solid transparent;
  border-top-color: $dropdown-link-color; // /* edit this to suit design (no rgba in IE8) */
}

// styling for right-facing arrows
.sf-arrows ul .sf-with-ul:after,
.cssmenu_vert.sf-arrows > li > .sf-with-ul:after {
  border-color: transparent;
  border-left-color: $dropdown-link-color; // $link-color; /* edit this to suit design (no rgba in IE8) */
}

.sf-arrows ul li > .sf-with-ul:focus:after,
.sf-arrows ul li:hover > .sf-with-ul:after,
.sf-arrows ul .sfHover > .sf-with-ul:after {
  border-color: transparent;
  border-left-color: $dropdown-link-hover-color;
}

.cssmenu_vert.sf-arrows li > .sf-with-ul:focus:after,
.cssmenu_vert.sf-arrows li:hover > .sf-with-ul:after,
.cssmenu_vert.sf-arrows .sfHover > .sf-with-ul:after {
  border-color: transparent;
  border-left-color: $dropdown-link-hover-color; // white;
}


// Widens scope of Bootstrap rule to cover L&F admin anchors filter, etc.
li.dropdown-item {
	background-color: $dropdown-bg;
	color: $dropdown-link-color;
}

.dropdown-item:hover,
.dropdown-item:focus {
	background-color: $dropdown-link-hover-bg;
	color: $dropdown-link-hover-color;
}
